Bug 1476606 - fedora 26 server installation problem
fedora 26 server installation problem
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
26
i386 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-30 13:07 EDT by John B
Modified: 2017-09-29 17:23 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-29 17:23:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rdsosreport.txt (103.84 KB, text/plain)
2017-08-11 18:52 EDT, John B
no flags Details

  None (edit)
Description John B 2017-07-30 13:07:51 EDT
Description of problem:

While trying to install from usb on a 250gb ssd with 500gb regular HD, with all my important partitions (/root / boot /usr /home) ready formatted, I get same error over and over, immediately after starting install of fedora 26 server..

error message:

...
[ok] Reached target basic system
[11.237957] i2c i2c-3: sendbytes: NAK bailout.
i2c i2c-3: sendbytes: NAK bailout.

then a long time waiting

then repeated message:
... warning dracut-initqueue timeout - starting timeout scripts


in journalctl there are some lines in red indicating problems with iscsi daemon and failure to open rpcbind.conf and again i2c i2c-3: sendbytes: NAK bailout

i have no idea
Comment 1 Stephen Gallagher 2017-07-31 07:52:46 EDT
Sounds like an installer bug. I'm moving this to Anaconda for triage into the correct underlying component.
Comment 2 John B 2017-07-31 08:56:39 EDT
I have been able to install ubuntu desktop 16.4 on the ssd. so the file system is ok.. now I want and need to get that greatest new fedora server on that file system. ubuntu sees the root partition as /root... fedora wants to have it as /dev/root. I can get root access in ubuntu.. I am going to try to make the path /root refer to /dev/root
Comment 3 John B 2017-07-31 09:16:27 EDT
I have manually created a /dev/root dir... then I used ln -s to make a link from /dev/root to /root.. then tried fedora install.. doesn't seem to help
Comment 4 Jiri Konecny 2017-08-01 05:03:57 EDT
It looks to me like a HW driver error. 
Reassigning to kernel, maybe they will know more.
Comment 5 John B 2017-08-11 18:52 EDT
Created attachment 1312309 [details]
rdsosreport.txt

tried again today to install... the /dev/root/ was gone somehow, so I again under root privilige created /dev/root and changed permissions to o+RW, so anyone could use it, including fedora installer... but fedora runs into same errors... I have included the /run/initram/rdsosreport.txt Im not sure how to read this.. will look back tomorrow..
Comment 6 John B 2017-08-11 19:17:53 EDT
just did one reboot and the /dev/root folder is gone for some unknown reason..
Comment 7 John B 2017-09-19 01:56:58 EDT
still working on this.. i have a working installation now, meaning fedora 26 boots and gets to the desktop environment. but the system does not want to recognize my tp-link 851bn wifi card. probably a driver problem. according to tp-link this card is not supported for linux, but I had a ubuntu installation earlier where it did work. can I port the ubuntu wifi driver if I could find it in ubuntu. or if anyone has the driver for me because the ubuntu install is gone??
Comment 8 John B 2017-09-19 09:37:56 EDT
never mind ive found a solution.. --> ticket close
Comment 9 John B 2017-09-19 16:49:19 EDT
can you unclose this?
Comment 10 John B 2017-09-19 16:49:49 EDT
can you unclose this?
Comment 11 John B 2017-09-19 17:52:07 EDT
the problem persists.. need wifi implementation like this card has worked in ubuntu
Comment 12 John B 2017-09-26 10:59:43 EDT
I need some directives to get my network devices turn up in the network config.. I have atheros chips for wifi and gigabit in lspci.. but they are not in nm-connection-editor
Comment 13 John B 2017-09-26 22:08:41 EDT
I have run lspci -k and it shows:

Atheros Gigabit adapter: kernel driver in use ATL1E

and for wifi

Atheros AR9227 Wireless Network adapter: kernel driver ath9k

but no active or choosable network adapter in network config settings
Comment 14 John B 2017-09-26 22:08:55 EDT
I have run lspci -k and it shows:

Atheros Gigabit adapter: kernel driver in use ATL1E

and for wifi

Atheros AR9227 Wireless Network adapter: kernel driver ath9k

but no active or choosable network adapter in network config settings
Comment 15 John B 2017-09-26 22:35:52 EDT
I have run /etc/init.d/network start and it gives failure. result exit-code


no exit-code specified

Note You need to log in before you can comment on or make changes to this bug.